Tools for volunteers to make it easier to improve the Wikispeech lexicon
Open, Needs TriagePublic

Description

Since this was not accepted as a GSoC project, it has been moved to a volunteer project: Wikispeech (Tool for suggesting missing lexicon entries).


Wikispeech will have a crowdsourcing part so that volunteers can help improve the text-to-speech experience. Volunteers will be able to improve the lexicon in a few different ways (see M197). For the volunteer that want to make the most useful contributions (with limited time on their hands) we see a need to help with prioritizing what to focus on.

One great tool would be an option to highlight what words would be most valuable to add in the lexicon - order to improve the text-to-speech experience for a specific article (e.g. the name of the place the article is about). Then the volunteer could quickly add a few words to the lexicon through the Wikispeech editor and a valuable contribution has been made.

The code for the project can be found here: https://github.com/wikimedia/mediawiki-extensions-Wikispeech

Possible mentor: @Sebastian_Berlin-WMSE
Co-mentors: @Lokal_Profil
Skills required: analysis, basic software architecture, development
Microtasks:

Jopparn created this task.Mar 24 2017, 3:03 PM
Jopparn updated the task description. (Show Details)Mar 24 2017, 3:09 PM

Hi @Jopparn @Sebastian_Berlin-WMSE @Lokal_Profil - Thanks for creating this task and opting to mentor this project for this year's Gsoc '17 session. Please I will plead that we have a brief discussion so that i can start writing the proposal straight-away. Thanks.

To the mentors > if you are planning on mentoring this project:

FYI.. the deadline for submitting applications for both these programs is approaching near (less than 10 days). It would be great if you could list a couple of microtasks in the task description. Let me know if you've any questions!

Vyshnavi_gutta added a subscriber: Vyshnavi_gutta.EditedApr 2 2017, 9:45 PM

Hello. I am Vyshnavi and am new to WMF. I find this project to be very interesting as it has a great scope to be expanded on. I suppose it's too late now to put up a meeting with mentors,@Jopparn @Sebastian_Berlin-WMSE @Lokal_Profil , so I was wondering if there is any chance if my GSOC,2017 proposal would suffice , as I am thinking of putting my ideas on approaching the project in it ?

@Vyshnavi_gutta it's generally not a good idea to craft a proposal before communicating w/ mentors first, and so putting together a proposal might not be worth your efforts.

Hello,but still I would like to try, so that I would not regret later. I apologize for the delay and inconvenience caused and I request the mentors to consider my proposal.
Proposal link:https://phabricator.wikimedia.org/T162060

@Vyshnavi_gutta Hi! Thanks for submitting your proposal. As the deadline is in three hours, it would be hard to find someone between now and then who could review your proposal, and if they would be interested in mentoring this project.

After the application deadline, we will see what we can do. But, in the meantime, make sure that you've submitted your proposal here: summerofcode.withgoogle.com. See point number 6 in instructions > https://www.mediawiki.org/wiki/Google_Summer_of_Code_2017#Recommended_Next_Steps.

Thanks for the response :) .

@srishakatux apologies for troubling you, but not able to login into summerofcode.withgoogle.com. Asked on IRC but no one responded yet. Could you please suggest a solution?

Mvolz added a subscriber: Mvolz.Apr 3 2017, 4:43 PM

It has problems sometimes with multiple google accounts, try logging out of
all of them if you have multiple accts.

Also sometimes if has issues if your name has "unusual" characters, a
mentor on the mentor list couldn't log-in because he had a German Umlaut ü
in his name apparently...

@Mvolz still getting the same problem.Is the deadline over already?

This comment was removed by srishakatux.

I was told by the people in Gsoc IRC that the deadline was 9:30 pm IST (
Indian standard time ) ( 4 pm UTC ). So, the site
summerofcode.withgoogle.com was not allowing logins after 9:30 pm.. Later I
contacted gsoc_support via mail and they responded that no late submission
of proposals would be entertained.It was great working for Mediawiki org :)
though its a bit disappinting that my proposal wouldn't even be considered
:( .Will try next year :) again. Anyways Thank you for your responses.

Jopparn moved this task from Backlog to Watching on the User-Jopparn board.Apr 6 2017, 8:57 AM

@srishakatux Made the flow chart public..Sorry for the delay .Been held up by my end semesters..

Sumit closed this task as Declined.May 4 2017, 5:57 PM
Sumit added a subscriber: Sumit.
This comment was removed by Sumit.
Sumit reopened this task as Open.May 4 2017, 5:59 PM

Sorry for the confusion, restoring the previous state.

Hello @Jopparn @Lokal_Profil @Sebastian_Berlin-WMSE Would there be any interest in mentoring this project for Outreachy Round 15? Application period opens in two days. See a few other ideas for projects that we are promoting for the upcoming round https://www.mediawiki.org/wiki/Outreachy/Round_15

srishakatux added a comment.EditedJan 16 2018, 11:08 PM

Hello @Jopparn @Lokal_Profil @Sebastian_Berlin-WMSE Would there be any interest in mentoring this project for Google-Summer-of-Code (2018) or Outreachy (Round-16)? We have just started recruiting projects, and if there hasn't been any ongoing work on this yet and if you are willing to mentor, let me know! More here:
https://www.mediawiki.org/wiki/Google_Summer_of_Code/2018
https://www.mediawiki.org/wiki/Outreachy/Round_16
Roles and responsibilities of mentors before, during and after the program: https://www.mediawiki.org/wiki/Google_Summer_of_Code/Mentors

Adding Outreach-Programs-Projects and removing Possible-Tech-Projects as we are planning on killing that workboard soon!